org.vertx.java.core.impl

## Class WorkerContext

- java.lang.Object
- - org.vertx.java.core.impl.Context
  - - org.vertx.java.core.impl.WorkerContext

    public class WorkerContext
    extends Context

### Constructor Summary

Constructors
Constructor and Description
`WorkerContext(java.util.concurrent.Executor bgExec)`

### Method Summary

Methods
`void` `execute(java.lang.Runnable task)`

### Methods inherited from class org.vertx.java.core.impl.Context

`executeOnWorker, getCloseHook, getContext, getDeploymentHandle, getPathAdjustment, putCloseHook, reportException, runCloseHooks, setContext, setDeploymentHandle, setPathAdjustment, wrapTask`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkerContext

    public WorkerContext(java.util.concurrent.Executor bgExec)

### Method Detail

#### execute

    public void execute(java.lang.Runnable task)

Specified by:
  `execute` in class `Context`